package com.example.afrishop_v3.config;

/**
 * @Auther: wudepeng
 * @Date: 2020/03/13
 * @Description:DPO配置（测试环境）
 */
public class DpoConfigTest {

    //创建交易请求
    public final static String CREATE_TOKEN_REQUEST = "createToken";
    //校验交易请求
    public final static String VERIFY_TOKEN_REQUEST = "verifyToken";
    //取消交易请求
    public final static String CANCEL_TOKEN_REQUEST = "cancelToken";

    //CompanyToken
    public final static String COMPANY_TOKEN = "9F416C11-127B-4DE2-AC7F-D5710E4C5E0A";

    //请求成功的状态码
    public final static String SUCCESS_CODE = "000";

    //DPO支付API
    public final static String PAYMENT_API = "https://secure1.sandbox.directpay.online/API/v6/";

    //重定向地址
    public final static String REDIRECT_URL = "https://secure1.sandbox.directpay.online/payv2.php";

    //回调地址
    public final static String NOTIFY_URL = "http://165.22.82.105:7000/zion/dpo/notify";

    //支付成功页面
    public final static String SUCCESS_URL = "https://dev.diaosaas.com/afrishop_web/payment_successful";

    //支付失败页面
    public final static String FAILED_URL = "https://dev.diaosaas.com/afrishop_web/payment_failed";


    //支付成功页面
    public final static String MOBILE_SUCCESS_URL = "https://m.afrieshop.com/#/Paysuccess";

    //支付失败页面
    public final static String MOBILE_FAILED_URL = "https://m.afrieshop.com/#/PayFail";

    //取消地址
    public final static String BACK_URL = "http://165.22.82.105:7000/zion/dpo/cancel";
    //服务类型
    public final static Integer SERVICE_TYPE = 5525;

}
